MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031715Open CASCADE[OCCT] OCCT:Visualizationpublic2020-08-18 11:342020-08-22 16:12
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031715: Visualization, OpenGl_ShaderProgram - add access to proxy shader program
DescriptionAdd method to OpenGl_ShaderProgram to get proxy shader program (shader sources)
Steps To ReproduceThe patch is ready to review
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0024192closedabv Adding support for shaders to OCCT visualization toolkit 

-  Notes
(0093575)
git (administrator)
2020-08-21 11:25

Branch CR31715 has been created by osa.

SHA-1: 1ffc06c700fd7035efa3adfc468aa664af2a9182


Detailed log of new commits:

Author: osa
Date: Fri Aug 21 11:22:45 2020 +0300

    0031715: Visualization - add access to proxy shader program
(0093576)
osa (developer)
2020-08-21 11:35

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31715-master-OSA/view/ALL/ [^]
(0093594)
bugmaster (administrator)
2020-08-22 16:01

Combination -
OCCT branch : IR-2020-08-21
master SHA - 1d99a2baaa614856d8ef8b0a9975af5c3bdf92c6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-21 SHA - 9541102e96ff9ee3aeec6e3e32f20f63b3b38556
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17322.48000000014 / 17160.470000000118 [+0.94%]
Products
Total CPU difference: 11882.560000000085 / 11820.020000000079 [+0.53%]
Windows-64-VC14:
OCCT
Total CPU difference: 18716.078125 / 18725.125 [-0.05%]
Products
Total CPU difference: 13242.09375 / 13316.109375 [-0.56%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093599)
git (administrator)
2020-08-22 16:12

Branch CR31715 has been deleted by inv.

SHA-1: 1ffc06c700fd7035efa3adfc468aa664af2a9182

- Related Changesets
occt: master fe3dbc63
Timestamp: 2020-08-21 08:22:45
Author: osa
Committer: bugmaster
Details ] Diff ]
0031715: Visualization - add access to proxy shader program
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-08-18 11:34 osa New Issue
2020-08-18 11:34 osa Assigned To => kgv
2020-08-18 11:34 osa Assigned To kgv => osa
2020-08-18 11:34 osa Status new => assigned
2020-08-18 16:08 kgv Relationship added child of 0024192
2020-08-18 16:08 kgv Product Version => 6.7.0
2020-08-21 11:25 git Note Added: 0093575
2020-08-21 11:35 osa Note Added: 0093576
2020-08-21 11:36 osa Assigned To osa => kgv
2020-08-21 11:36 osa Status assigned => resolved
2020-08-21 11:36 osa Steps to Reproduce Updated View Revisions
2020-08-21 11:39 kgv Assigned To kgv => bugmaster
2020-08-21 11:39 kgv Status resolved => reviewed
2020-08-21 11:39 kgv Summary Visualization - add access to proxy shader program => Visualization, OpenGl_ShaderProgram - add access to proxy shader program
2020-08-22 16:01 bugmaster Note Added: 0093594
2020-08-22 16:01 bugmaster Status reviewed => tested
2020-08-22 16:05 bugmaster Test case number => Not required
2020-08-22 16:06 bugmaster Changeset attached => occt master fe3dbc63
2020-08-22 16:06 bugmaster Status tested => verified
2020-08-22 16:06 bugmaster Resolution open => fixed
2020-08-22 16:12 git Note Added: 0093599


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker